Bug 24418 - Add Koha::Biblio->suggestions
Summary: Add Koha::Biblio->suggestions
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20212 23990 24419 24430
  Show dependency treegraph
 
Reported: 2020-01-14 13:04 UTC by Tomás Cohen Arazi
Modified: 2020-02-06 22:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24418: Unit tests (1.59 KB, patch)
2020-01-14 13:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24418: Add Koha::Biblio->suggestions (1.25 KB, patch)
2020-01-14 13:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24418: Add koha_object(s)_class methods to Suggestion (990 bytes, patch)
2020-01-14 13:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24418: Unit tests (1.62 KB, patch)
2020-01-14 13:34 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24418: Add Koha::Biblio->suggestions (1.33 KB, patch)
2020-01-14 18:09 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24418: Add koha_object(s)_class methods to Suggestion (1.04 KB, patch)
2020-01-14 18:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24418: Unit tests (1.69 KB, patch)
2020-01-14 18:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24418: Add Koha::Biblio->suggestions (1.37 KB, patch)
2020-01-15 08:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24418: Add koha_object(s)_class methods to Suggestion (1.08 KB, patch)
2020-01-15 08:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24418: Unit tests (1.74 KB, patch)
2020-01-15 08:36 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-01-14 13:04:14 UTC
We need an accessor for the related suggestions.
Comment 1 Tomás Cohen Arazi 2020-01-14 13:11:21 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2020-01-14 13:11:24 UTC
Created attachment 97350 [details] [review]
Bug 24418: Add Koha::Biblio->suggestions

This patch adds the mentioned accessor. To test:

1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Biblio.t
=> SUCCESS: Tests pass
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Tomás Cohen Arazi 2020-01-14 13:11:27 UTC
Created attachment 97351 [details] [review]
Bug 24418: Add koha_object(s)_class methods to Suggestion

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Tomás Cohen Arazi 2020-01-14 13:34:10 UTC
Created attachment 97353 [details] [review]
Bug 24418: Unit tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Kyle M Hall 2020-01-14 18:09:59 UTC
Created attachment 97365 [details] [review]
Bug 24418: Add Koha::Biblio->suggestions

This patch adds the mentioned accessor. To test:

1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Biblio.t
=> SUCCESS: Tests pass
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2020-01-14 18:10:11 UTC
Created attachment 97366 [details] [review]
Bug 24418: Add koha_object(s)_class methods to Suggestion

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Kyle M Hall 2020-01-14 18:10:13 UTC
Created attachment 97367 [details] [review]
Bug 24418: Unit tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Martin Renvoize 2020-01-15 08:36:17 UTC
Created attachment 97382 [details] [review]
Bug 24418: Add Koha::Biblio->suggestions

This patch adds the mentioned accessor. To test:

1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Biblio.t
=> SUCCESS: Tests pass
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2020-01-15 08:36:20 UTC
Created attachment 97383 [details] [review]
Bug 24418: Add koha_object(s)_class methods to Suggestion

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2020-01-15 08:36:24 UTC
Created attachment 97384 [details] [review]
Bug 24418: Unit tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Martin Renvoize 2020-01-15 08:36:51 UTC
Simple clear code and passes qa scripts.. Passing QA
Comment 12 Martin Renvoize 2020-01-20 16:34:29 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 13 Joy Nelson 2020-02-06 22:27:37 UTC
Enhancement not backported to 19.11.x